SDL_GetAudioCaptureDevices(3)

NAME
SDL_GetAudioCaptureDevices - Get a list of currently-connected audio capture devices.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_AudioDeviceID* SDL_GetAudioCaptureDevices(int *count);

DESCRIPTION
This returns of list of available devices that record audio, like a microphone ("capture" devices). If you want devices that play sound, perhaps to speakers or headphones ("output" devices), use SDL_GetAudioOutputDevices () instead. This only returns a list of physical devices; it will not have any device IDs returned by SDL_OpenAudioDevice ().

FUNCTION PARAMETERS

count
    a pointer filled in with the number of devices returned

RETURN VALUE
Returns a 0 terminated array of device instance IDs which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_OpenAudioDevice(3), SDL_GetAudioOutputDevices(3)